/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.geometry.wizard;

import java.awt.Component;
import java.util.List;
import javax.swing.event.ChangeListener;
import nl.cloudfarming.client.geometry.PreviewPanel;
import nl.cloudfarming.client.geometry.model.Shape;
import nl.cloudfarming.client.util.swing.ASBodyPanel;
import org.openide.WizardDescriptor;
import org.openide.util.HelpCtx;

/**
 * Controller for the ImportShapeSummaryPanel
 *
 * @author Merijn Zengers
 */
public class ImportShapeSummary implements WizardDescriptor.Panel {

    private ImportShapeSummaryPanel importShapeSummaryPanel;

    @Override
    public Component getComponent() {
        ASBodyPanel bodyPanel = new ASBodyPanel(getPanel());
        bodyPanel.setIcon(ImportShapeWizardIterator.titleIcon);
        bodyPanel.setTitle(Bundle.Import_geometrical_wizard_step_summary());
        bodyPanel.setName(Bundle.Import_geometrical_wizard_step_summary());
        return bodyPanel;
    }
    
    public ImportShapeSummaryPanel getPanel(){
        if(importShapeSummaryPanel == null){
            importShapeSummaryPanel = new ImportShapeSummaryPanel();
            
        }
        return importShapeSummaryPanel;
    }

    @Override
    public HelpCtx getHelp() {
        return new HelpCtx("nl.cloudfarming.client.geometry.wizard.import_overview");
    }

    @Override
    public void readSettings(Object wizardDescriptor) {
        List<Shape> shapes = (List<Shape>) ((WizardDescriptor) wizardDescriptor).getProperty(PreviewPanel.IMPORTED_SHAPES);
        getPanel().setImportedShapes(shapes);
    }

    @Override
    public void storeSettings(Object settings) {
    }

    @Override
    public boolean isValid() {
        return true;
    }

    @Override
    public void addChangeListener(ChangeListener l) {
    }

    @Override
    public void removeChangeListener(ChangeListener l) {
    }

}
